#
# spec file for package ghc-log-domain
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name log-domain
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.11.1
Release:        lp150.1.8
Summary:        Log-domain arithmetic
License:        BSD-2-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-bytes-devel
BuildRequires:  ghc-cabal-doctest-devel
BuildRequires:  ghc-cereal-devel
BuildRequires:  ghc-comonad-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-distributive-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-safecopy-devel
BuildRequires:  ghc-semigroupoids-devel
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-vector-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-doctest-devel
BuildRequires:  ghc-generic-deriving-devel
BuildRequires:  ghc-simple-reflect-devel
%endif

%description
This package provides log-domain floats, doubles and complex numbers.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc AUTHORS.markdown CHANGELOG.markdown README.markdown

%changelog
* Mon Jun 19 2017 psimons@suse.com
- Update to version 0.11.1.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.11 with cabal2obs.
* Sun Jan  8 2017 psimons@suse.com
- Update to version 0.10.3.1 revision 2 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.10.3.1 revision 1 with cabal2obs.
